version: "3.9"
services:
  python-optimizer:
    network_mode: "host"
    build: 
      context: ./be
      dockerfile: ../pyopt.Dockerfile
    ports:
      - "8000:8000"
    volumes:
      - type: bind
        source: ./be/downloaded_etf
        target: /home/downloaded_etf

  pocketbase:
    network_mode: "host"
    build:
      context: ./be
      dockerfile: ../pocketbase.Dockerfile
    ports:
      - "8090:8090"
    volumes:
      - type: bind
        source: ./be/pb_data
        target: /home/pb_data
      - type: bind
        source: ./be/downloaded_etf
        target: /home/downloaded_etf

  fe:
    network_mode: "host"
    build:
      context: ./fe
      dockerfile: ../npmvite.Dockerfile
    ports:
      - "3000:3000"
    
